Skip to main content
GET
/
api
/
v3
/
leaves
/
{id}
Get a leave by id
curl --request GET \
  --url https://{host}/api/v3/leaves/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/leaves/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/leaves/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "date": "2023-12-25",
    "isAm": true,
    "leaveAccountId": 123,
    "leavePeriodId": 123,
    "leaveAccount": {
      "id": 123,
      "name": "<string>"
    },
    "leavePeriod": {
      "id": 123,
      "ownerId": 123,
      "isConfirmed": true,
      "confirmationDate": "2023-11-07T05:31:56Z",
      "attachmentId": "<string>",
      "leaves": [
        {}
      ],
      "logs": [
        {
          "id": 123,
          "date": "2023-11-07T05:31:56Z",
          "comment": "<string>"
        }
      ]
    },
    "value": "<string>",
    "creationDate": "2023-11-07T05:31:56Z",
    "isActive": true,
    "cancellationDate": "2023-11-07T05:31:56Z",
    "cancellationUserId": null,
    "comment": "<string>"
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
string
required

Identifier of the leave.

Response

OK

data
The Leave resource · object